> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anchorbrowser.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Tool Executions

> Returns a paginated list of executions for a tool.



## OpenAPI

````yaml /openapi.yaml get /v1/tools/{toolId}/executions
openapi: 3.1.0
info:
  title: AnchorBrowser API
  version: 1.0.0
  description: APIs to manage all browser-related actions and configuration.
servers:
  - url: https://api.anchorbrowser.io
    description: API server
security: []
paths:
  /v1/tools/{toolId}/executions:
    get:
      tags:
        - Tools
      summary: List Tool Executions
      description: Returns a paginated list of executions for a tool.
      parameters:
        - name: toolId
          in: path
          required: true
          schema:
            type: string
        - name: page
          in: query
          required: false
          schema:
            type: string
          description: 1-based page number.
        - name: limit
          in: query
          required: false
          schema:
            type: string
          description: Page size.
        - name: status
          in: query
          required: false
          schema:
            type: string
            enum:
              - success
              - failure
              - timeout
              - cancelled
      responses:
        '200':
          description: Tool executions retrieved successfully.
          content:
            application/json:
              schema:
                type: object
                properties:
                  pagination:
                    type: object
                    properties:
                      page:
                        type: integer
                      limit:
                        type: integer
                      total:
                        type: integer
                      total_pages:
                        type: integer
                  executions:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        status:
                          type: string
                        start_time:
                          type: string
                        execution_time:
                          type: number
                          nullable: true
                        version:
                          type: string
                        isDraft:
                          type: boolean
                        output:
                          type: string
                          nullable: true
                        error_message:
                          type: string
                          nullable: true
                        inputs:
                          type: object
                          nullable: true
                          additionalProperties: true
                        browser_session_id:
                          type: string
                          nullable: true
                        error_explanation:
                          type: string
                          nullable: true
                        fix_suggestion:
                          type: string
                          nullable: true
                        healed_task_version_id:
                          type: string
                          nullable: true
                        tags:
                          type: array
                          items:
                            type: string
        '400':
          description: Invalid query parameters.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FlatErrorResponse'
        '404':
          description: Tool not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FlatErrorResponse'
        '500':
          description: Failed to get tool executions.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FlatErrorResponse'
      security:
        - api_key_header: []
components:
  schemas:
    FlatErrorResponse:
      type: object
      properties:
        error:
          type: string
          description: Human-readable error message.
        code:
          type: integer
          description: HTTP status code.
      required:
        - error
  securitySchemes:
    api_key_header:
      type: apiKey
      in: header
      name: anchor-api-key
      description: API key passed in the header

````